#include "histogram.h"
#include "text.h"
#include <iostream>
#include <vector>
#include "svg.h"
using namespace std;
struct Input {
    vector<double> numbers;
    size_t bin_count{};
};
Input
input_data(istream& in,bool promt = false) {
    size_t number_count;
    if (promt)
        cerr << "Number_count: ";
    in >> number_count;
    Input im;
    im.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; i++) {
        in >> im.numbers[i];
    }
    if (promt)
        cerr << "Enter bin_count: ";
    in >> im.bin_count;
    return im;
}
int
main() {
    auto in = input_data(cin,true);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    return 0;
}

